# Copyright 2025 Digitalwerk GmbH.
#
#     This Source Code Form is subject to the terms of the Mozilla
#     Public License, v. 2.0. If a copy of the MPL was not distributed
#     with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
#
# If it is not possible or desirable to put the notice in a particular file, then
# You may include the notice in a location (such as a LICENSE file in a
# relevant directory) where a recipient would be likely to look for such a notice.
#
# You may add additional accurate notices of copyright ownership.

import adtf_file
import sys

def print_progress(progress):
    print(progress)
    return True

adtf_file.load_plugin(sys.argv[1])
demultiplexer = adtf_file.create_demultiplexer(sys.argv[2])
demultiplexer.add_processor("NESTED_STRUCT", "", "csv", sys.argv[3], { "separator": ":"})
demultiplexer.process(print_progress)
